Skip to content
POST/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/list

List donation submissions

Gets a list of donation submissions for the mandate

Required permissions:

  • mandate.read

  • austrianDonationSubmission.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 1000

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "austrianDonationSubmissions": [
    {
      "_id": "000000000000000000000001",
      "mandate": "000000000000000000000001",
      "messageRefID": "string",
      "exportDate": "2026-06-15T22:30:00Z",
      "reportingYear": 1,
      "submissionType": "E",
      "exportFile": {
        "resource": "string"
      },
      "returnFile": {
        "resource": "string"
      },
      "vbPkExportFile": {
        "resource": "string"
      },
      "vbPkReturnFile": {
        "resource": "string"
      },
      "status": "error",
      "statusMessage": "string",
      "submittedDonations": [
        {
          "debtorName": "string",
          "debtorAccount": 1,
          "amount": 1,
          "donations": [
            {
              "donation": "000000000000000000000001",
              "positions": [
                {
                  "value": 1,
                  "date": "string"
                }
              ]
            }
          ],
          "errorCode": "string",
          "errorText": "string"
        }
      ],
      "ignoreDebtorsMissingBirthDate": true,
      "ignoreSubmitedDebtors": true
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}